## com.imcode.imcms.servlet.admin
Enum LinkEditPage.Parameter

    java.lang.Object
      java.lang.Enum<LinkEditPage.Parameter>
          com.imcode.imcms.servlet.admin.LinkEditPage.Parameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LinkEditPage.Parameter>

Enclosing class:
  LinkEditPage

    public static enum LinkEditPage.Parameter

extends java.lang.Enum<LinkEditPage.Parameter>

Enum Constant Summary
`HREF`
`SEARCH`
`TARGET`
`TITLE`

Method Summary
`static LinkEditPage.Parameter` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LinkEditPage.Parameter[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HREF

    public static final LinkEditPage.Parameter HREF

### TITLE

    public static final LinkEditPage.Parameter TITLE

### TARGET

    public static final LinkEditPage.Parameter TARGET

### SEARCH

    public static final LinkEditPage.Parameter SEARCH

Method Detail

### values

    public static final LinkEditPage.Parameter[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(LinkEditPage.Parameter c : LinkEditPage.Parameter.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static LinkEditPage.Parameter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name